#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x8fa2af08, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x73f4b85c, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x98d6b81a, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0xf715c335, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0xb7bec447, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0x7ca3fb9f, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x0563e498, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x534b04e4, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x5875a549, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0xdaaf3b0e, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x8328f616, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0xc206fea5, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x986d962e, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x1b099c3c, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x70717c8a, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0xc23d677e, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0xe79d73f4, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x0a8985ce, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x778f8e94, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x61ea3c6a, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x295e1e1d, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x72fad28f, "_gpl");
SYMBOL_CRC(i3c_master_register, 0xed24aade, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0xf5f198a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf0d4a0f9, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x184a839d, "devm_kmalloc" },
	{ 0x8bfca431, "of_property_read_variable_u32_array" },
	{ 0xb650c808, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69d3254, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x4195e461, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x9ca2f125, "of_get_next_available_child" },
	{ 0x79bc1fe8, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb58a9d96, "put_device" },
	{ 0x1d0e67d4, "i2c_del_adapter" },
	{ 0x9a2f1ecc, "idr_remove" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5ae74482, "bus_unregister" },
	{ 0x647814b9, "down_write" },
	{ 0xf0b5331, "_dev_err" },
	{ 0x4ae6cccc, "up_write" },
	{ 0x1d04cb15, "device_add" },
	{ 0xdcc69810, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x1065a245, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xaf7b75b2, "i2c_new_client_device" },
	{ 0x9e4f8e7d, "device_register" },
	{ 0x6b33c02e, "device_del" },
	{ 0x5a18dba3, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x5641979c, "down_read" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x3c90a0d0, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x4b389473, "of_i2c_get_board_info" },
	{ 0x7c9463e1, "up_read" },
	{ 0x4911c581, "driver_register" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xd93c3599, "bus_register" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2CAED58C89902178FD59920");
MODULE_INFO(rhelversion, "9.7");
