#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x1eef7abb, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x58c6bf4a, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xf32aed02, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xf209d0d9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x8246d44a, "__skb_checksum_complete" },
	{ 0x18e4e612, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xbc15ae1a, "skb_copy_bits" },
	{ 0x3a35f825, "__nlmsg_put" },
	{ 0x122cb362, "netdev_adjacent_change_commit" },
	{ 0x4e919f7e, "eth_mac_addr" },
	{ 0x889815cb, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x42492fe4, "ip6_dst_hoplimit" },
	{ 0x6f603baf, "param_ops_ushort" },
	{ 0xcf270578, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0xf4ae7504, "udp_sock_create4" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x2827678c, "udp_tunnel6_xmit_skb" },
	{ 0x4dea7426, "rtnl_link_register" },
	{ 0xb2b25ec0, "__unregister_nexthop_notifier" },
	{ 0x1f6ce844, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5e17142f, "eth_validate_addr" },
	{ 0x511bb75a, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf0cf80b4, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9bc9aee0, "rtnl_create_link" },
	{ 0x89492ce7, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3d828e97, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x9ffc1632, "ether_setup" },
	{ 0x557282da, "udp_tunnel_drop_rx_port" },
	{ 0x9fd46faa, "netdev_upper_dev_link" },
	{ 0xbb0d4add, "pskb_expand_head" },
	{ 0xab1148a7, "register_pernet_subsys" },
	{ 0xba0bd82b, "eth_type_trans" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x7f5e85ab, "__alloc_skb" },
	{ 0xc8a6ae1c, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x310d0d4c, "eth_gro_complete" },
	{ 0x5fc14796, "rtnl_set_sk_err" },
	{ 0x3d1b4434, "eth_gro_receive" },
	{ 0xcd7818fa, "rtnl_configure_link" },
	{ 0xee37d06e, "skb_tunnel_check_pmtu" },
	{ 0xcfc36a45, "udp_tunnel_dst_lookup" },
	{ 0xe75aeff, "rtnl_unicast" },
	{ 0x45c7a678, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x56058db7, "__skb_get_hash_net" },
	{ 0xaa34e9f7, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa24bc729, "__dev_get_by_index" },
	{ 0x1f1b2b38, "rtnl_link_unregister" },
	{ 0xf9cb68fc, "ipv6_stub" },
	{ 0x207144a4, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2ea3ae7c, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbd39ba03, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x47b2ac19, "dev_get_by_index_rcu" },
	{ 0x615a1697, "gro_cells_receive" },
	{ 0x333233f6, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xb1023a3d, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xd7bdfc29, "free_netdev" },
	{ 0x4af4ecaf, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb6991d9d, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x117410d3, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x91626944, "ethtool_op_get_link" },
	{ 0xeb178a7f, "nexthop_find_by_id" },
	{ 0x2595060d, "arp_create" },
	{ 0x51efdb16, "__ethtool_get_link_ksettings" },
	{ 0xa2775d90, "netdev_adjacent_change_prepare" },
	{ 0x8e7a8d40, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x90cf190b, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xcc28ed69, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xd6ac4d7b, "rht_bucket_nested_insert" },
	{ 0x5dbb04c, "netdev_adjacent_change_abort" },
	{ 0x741c1670, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe3974569, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x481a9238, "__iptunnel_pull_header" },
	{ 0x8174eb66, "__pskb_pull_tail" },
	{ 0xb59990ad, "dev_get_tstats64" },
	{ 0x497470f5, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x44685ee6, "rhashtable_destroy" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x296c490c, "setup_udp_tunnel_sock" },
	{ 0x3ae86251, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf3e2f25f, "skb_trim" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1bde52d4, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x14a86a8d, "skb_scrub_packet" },
	{ 0x8c35d866, "nexthop_select_path" },
	{ 0xbc622118, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x983cb0a6, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5631175f, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2ab3b5d5, "param_ops_bool" },
	{ 0xbf2a0346, "udp_tun_rx_dst" },
	{ 0x61278d1e, "rtnl_notify" },
	{ 0x54a9b703, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x26ea0428, "__netif_rx" },
	{ 0x3c781f02, "skb_clone" },
	{ 0x4a17ac6c, "metadata_dst_alloc" },
	{ 0x43864baf, "dst_release" },
	{ 0x2e950243, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xa081ce80, "udp_tunnel_notify_del_rx_port" },
	{ 0x17f50ce0, "register_nexthop_notifier" },
	{ 0xeda1b56, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x3e6fedce, "gro_find_receive_by_type" },
	{ 0x8ee82247, "netdev_core_stats_inc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xeb0728de, "netdev_info" },
	{ 0xea95c481, "neigh_lookup" },
	{ 0xaed7091d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4c1d8a03, "register_netdevice" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FA7CF23B56E36E1596B63F3");
MODULE_INFO(rhelversion, "9.7");
