#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x0441bf78, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0xcfaca0dc, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0xae3a592f, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x314441a4, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x7b46dc78, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x217c0db0, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x0ea88eb9, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0xc3054293, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x955b123c, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0xd008aecc, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x60b60551, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17322587, "filp_open" },
	{ 0x126e715c, "ida_alloc_range" },
	{ 0xf179be3c, "bdev_file_open_by_path" },
	{ 0xfd5d4c5c, "try_module_get" },
	{ 0x30b3d74, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x46831a72, "ida_destroy" },
	{ 0xc3cd1477, "config_group_init" },
	{ 0xd0362607, "config_group_find_item" },
	{ 0x6a37c6e8, "radix_tree_insert" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xe58de938, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa33a13cc, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74b0aa52, "radix_tree_lookup" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x8c2824d3, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x436a87bd, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x54c39a84, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9f6b162, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xcd206480, "event_triggers_call" },
	{ 0x8359623, "pci_p2pmem_free_sgl" },
	{ 0x609280ce, "kmem_cache_create" },
	{ 0x82ebd013, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xce30954d, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3573b73b, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe1e5d415, "trace_event_buffer_commit" },
	{ 0x80d3c2b, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xfd89481c, "mempool_create" },
	{ 0x8bc9e38c, "crypto_alloc_kpp" },
	{ 0x30281b0d, "vfs_fallocate" },
	{ 0xc9bd6274, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb58a9d96, "put_device" },
	{ 0xef2c82a8, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x3c321861, "mempool_alloc" },
	{ 0x7213edee, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x84b8ec1f, "submit_bio" },
	{ 0xc1ddf3e, "module_put" },
	{ 0xdf1c54c5, "pci_p2pdma_distance_many" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4548c48b, "nvme_auth_gen_pubkey" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x30310919, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x52c16540, "bio_put" },
	{ 0x394a3295, "radix_tree_delete" },
	{ 0x530d5ff8, "bio_endio" },
	{ 0x60f2e7cc, "sg_miter_next" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xd673b8b3, "perf_trace_run_bpf_submit" },
	{ 0xa8a7fb62, "fput" },
	{ 0x647814b9, "down_write" },
	{ 0x4ae6cccc, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xae5303c5, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x98db2a1, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x7b89516a, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x49e00280, "xa_load" },
	{ 0xbb730fec, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x14fc8ff7, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x28f09f41, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xf43e321d, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x3259425d, "bio_chain" },
	{ 0x82d49ee7, "ida_free" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x6461b037, "pci_p2pdma_enable_store" },
	{ 0x85f805bf, "pci_p2pmem_alloc_sgl" },
	{ 0xc0f1eb2e, "bio_add_page" },
	{ 0x4904379c, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9218078c, "bio_integrity_alloc" },
	{ 0x919c5379, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x11089ac7, "_ctype" },
	{ 0x707dd965, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x12c04b33, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0xcac622e6, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0xd013975b, "pci_p2pdma_enable_show" },
	{ 0x5641979c, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x657df954, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdc63e744, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0xf7c8fa42, "trace_event_buffer_reserve" },
	{ 0x6a870810, "crypto_shash_final" },
	{ 0x7c6c1c92, "vfs_fsync" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc3ef4594, "xa_destroy" },
	{ 0x765c42a5, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5833c889, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5c67ad45, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0x57760382, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xaccce25, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x42a170e7, "xa_find_after" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcd5cfe25, "pci_p2pmem_find_many" },
	{ 0x84f15107, "crypto_alloc_shash" },
	{ 0x49d429d6, "nvme_auth_gen_privkey" },
	{ 0xa1d0f430, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7c9463e1, "up_read" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0xbfc343c1, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xe8a0a17e, "submit_bio_wait" },
	{ 0x7fe86b28, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x16a5199a, "__blkdev_issue_discard" },
	{ 0x2814d2f4, "fs_bio_set" },
	{ 0xc699bd5a, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc076cb05, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "0F31004C3ED298DF0B1D2C1");
MODULE_INFO(rhelversion, "9.7");
