#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x1ab1a905, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x36f4004e, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x8f2cfe1e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb69c547, "device_property_present" },
	{ 0xa5e1d66a, "usb_hcd_platform_shutdown" },
	{ 0xfd3e4e10, "is_acpi_device_node" },
	{ 0x2eb245dd, "of_fwnode_ops" },
	{ 0x9a9e773a, "device_set_wakeup_capable" },
	{ 0x576be0a8, "xhci_suspend" },
	{ 0xa255cfb5, "devm_platform_get_and_ioremap_resource" },
	{ 0xdc9c9363, "platform_driver_unregister" },
	{ 0x3d409612, "platform_get_irq" },
	{ 0xda89812c, "xhci_gen_setup" },
	{ 0x587389aa, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xc4aa14b, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xf27e6c79, "devm_reset_control_array_get" },
	{ 0xca51d7eb, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7754bc16, "pm_runtime_enable" },
	{ 0x7461d60c, "device_property_read_u32_array" },
	{ 0x310e15e2, "of_match_device" },
	{ 0xf0b5331, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xb496fddc, "xhci_resume" },
	{ 0xa1f55832, "xhci_run" },
	{ 0xe255eb49, "usb_hcd_is_primary_hcd" },
	{ 0x3ffa65a4, "xhci_init_driver" },
	{ 0x84f6ed34, "usb_put_hcd" },
	{ 0xd2959858, "__platform_driver_register" },
	{ 0x56df240b, "dma_set_coherent_mask" },
	{ 0x3cb7eb65, "devm_clk_get_optional" },
	{ 0xd0345ea1, "pm_runtime_forbid" },
	{ 0xe06a5fa9, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x358d9362, "__usb_create_hcd" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcce00c90, "dma_set_mask" },
	{ 0xfeddb54a, "usb_remove_hcd" },
	{ 0x25dfc6f8, "of_device_get_match_data" },
	{ 0xe9146bb4, "__pm_runtime_disable" },
	{ 0x14b50388, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0xa170f0bb, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "03720F0DCFA81EA53731DBD");
MODULE_INFO(rhelversion, "9.7");
