#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x6a8c69bd, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x30629710, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x3c6b3aab, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x5841b3aa, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xf7e85df5, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xb05a9ba5, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xcb75c0ed, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x875de8a5, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x9297a0bf, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x51953f6f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x4e37cb81, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x464b4121, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x789c7c52, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xf711856d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xdf4331ae, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xff6fc727, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xc05a77be, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x5a9272a4, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x2dc1c8ec, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x731bd19f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x488d5798, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xe6d22e9e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xea3e76eb, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xc95c51f4, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xb4a982da, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x307f9da7, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x888ccec5, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x9a5dc1f4, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xfc72053c, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xce806230, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x0baf3fae, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xcd5160bf, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xe661ee49, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xcdb462bc, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xab97bc88, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x175dda41, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9637fb14, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x54660223, "vsock_insert_connected" },
	{ 0x889815cb, "skb_put" },
	{ 0xcf270578, "consume_skb" },
	{ 0xe58de938, "trace_raw_output_prep" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0xe3b99038, "vsock_remove_sock" },
	{ 0x8c2824d3, "trace_event_printf" },
	{ 0x70a19297, "vsock_deliver_tap" },
	{ 0x436a87bd, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8b6c9ed, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xcd206480, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb43c7528, "sk_error_report" },
	{ 0xe1e5d415, "trace_event_buffer_commit" },
	{ 0x3d23e815, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xef2c82a8, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x7f5e85ab, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd673b8b3, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xbd39ba03, "sk_skb_reason_drop" },
	{ 0x5872a312, "sk_free" },
	{ 0xf43e321d, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x899a3cc8, "__skb_recv_datagram" },
	{ 0x117410d3, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x654dcd0f, "vsock_stream_has_data" },
	{ 0xaee2eca2, "skb_copy_datagram_iter" },
	{ 0x4c489fc9, "bpf_trace_run9" },
	{ 0x2a7f8f62, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xc3aadc69, "sock_efree" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x91e8d898, "bpf_trace_run10" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x82f3214a, "vsock_core_get_transport" },
	{ 0x91d5899d, "__zerocopy_sg_from_iter" },
	{ 0xf8947013, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xaa67025b, "skb_set_owner_w" },
	{ 0xf7c8fa42, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x59399246, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x32fa81c0, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x31fb11d8, "msg_zerocopy_realloc" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x47cc75b1, "vsock_create_connected" },
	{ 0x82942e80, "vsock_assign_transport" },
	{ 0x58d5b473, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfb72c7b2, "iov_iter_npages" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xaed7091d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x646bdce2, "vsock_data_ready" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "47E1979DFA663EF75B54B38");
MODULE_INFO(rhelversion, "9.7");
