#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_nfit_uuid, "", "");
KSYMTAB_FUNC(acpi_nfit_ctl, "_gpl", "");
KSYMTAB_FUNC(nfit_get_smbios_id, "_gpl", "");
KSYMTAB_FUNC(__acpi_nvdimm_notify, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_desc_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_shutdown, "_gpl", "");
KSYMTAB_FUNC(__acpi_nfit_notify, "_gpl", "");

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0xe5aa4ba1, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0xcfabfc60, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0xc21166a5, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0x71ecd536, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0xc0da9e2f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf592e1d, "nvdimm_region_notify" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3e58947b, "nd_region_provider_data" },
	{ 0x2f8f2c0e, "nvdimm_bus_add_badrange" },
	{ 0xfa301ff4, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0x184a839d, "devm_kmalloc" },
	{ 0xb57d60ae, "to_nvdimm" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x44db7242, "__nvdimm_create" },
	{ 0x60ff955a, "to_nd_region" },
	{ 0xe1542f2f, "nvdimm_bus_check_dimm_count" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ee9d655, "acpi_dev_remove_notify_handler" },
	{ 0x79bc1fe8, "__dynamic_dev_dbg" },
	{ 0x626e2fa3, "kernfs_notify" },
	{ 0xa283eb81, "to_nvdimm_bus" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4845d021, "dev_driver_string" },
	{ 0x8659208a, "__acpi_bus_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0xe72d43, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb11af4f6, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x214c6a8b, "acpi_dev_install_notify_handler" },
	{ 0x3b9aab96, "to_nd_desc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xf0b5331, "_dev_err" },
	{ 0xa3bf262, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0x6f10ea57, "nvdimm_bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x7ad07cc, "kernfs_find_and_get_ns" },
	{ 0x841e2f6d, "nvdimm_name" },
	{ 0xd761024, "to_nvdimm_bus_dev" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x483a944d, "nvdimm_volatile_region_create" },
	{ 0x4fa68d13, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xdcb764ad, "memset" },
	{ 0x9ace948, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xae1687a, "nvdimm_in_overwrite" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8939633a, "nvdimm_to_bus" },
	{ 0xb1e2b809, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x88a84534, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0xa23bb1f, "nd_cmd_in_size" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2ab3b5d5, "param_ops_bool" },
	{ 0xd1dc2da6, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x51ac51f, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x50094d4, "nvdimm_pmem_region_create" },
	{ 0xbbe0d40b, "nvdimm_kobj" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x2a6f612c, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd36b1aea, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0x58cd71e3, "nvdimm_cmd_mask" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "6A06EB963B61AD7139BD806");
MODULE_INFO(rhelversion, "9.7");
