#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x6abc3583, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xae2a3709, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x6667b9a2, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x41ea2555, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x2597a29f, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0xd022c355, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x46a89591, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x77d08144, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x89c7f1c3, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xeb5d40de, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x552d4558, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xcb7e45f8, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x1bbfddc2, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x59f0f312, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0xef31953d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760243fc, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xf799a2aa, "dma_mmap_pages" },
	{ 0x387742a9, "dma_free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x396e6a42, "drm_gem_create_mmap_offset" },
	{ 0x9336c61b, "drm_gem_object_init" },
	{ 0xc1cbe8a, "drm_atomic_helper_damage_iter_init" },
	{ 0x88e8ab3d, "dma_alloc_pages" },
	{ 0x4d8a361d, "drm_gem_private_object_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xf65e65f2, "drm_gem_vm_close" },
	{ 0x8969fcf1, "drm_gem_vm_open" },
	{ 0x647814b9, "down_write" },
	{ 0x4ae6cccc, "up_write" },
	{ 0xe6b9e3a3, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x180c5304, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x6fe95814, "drm_gem_handle_create" },
	{ 0x3d2b233, "drm_gem_fb_get_obj" },
	{ 0x19aea378, "__drm_dev_dbg" },
	{ 0x7a4c0d3e, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0xe0c15806, "__dma_sync_single_for_device" },
	{ 0x45acf4da, "dma_buf_vmap_unlocked" },
	{ 0xa408e4f0, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd8b46463, "dma_get_sgtable_attrs" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0x5908e0c8, "drm_prime_gem_destroy" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper");


MODULE_INFO(srcversion, "022E95739579CC8FE5ED61C");
MODULE_INFO(rhelversion, "9.7");
