#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9616db2, "drm_mode_config_helper_resume" },
	{ 0xbbbd362d, "drm_mode_config_helper_suspend" },
	{ 0xb0006389, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0xe6425b1c, "pci_release_regions" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xc5f73b65, "drm_dev_unplug" },
	{ 0x3607a1e, "drm_dev_put" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xdca8c3d4, "logic_outb" },
	{ 0x9b872bd0, "drm_gem_fb_create" },
	{ 0xc7915c45, "pci_unregister_driver" },
	{ 0x709ddb21, "drm_edid_connector_add_modes" },
	{ 0x4617f511, "drm_add_modes_noedid" },
	{ 0xd279d782, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x12e219c3, "__pci_register_driver" },
	{ 0x19aea378, "__drm_dev_dbg" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xf18300ad, "logic_inb" },
	{ 0x6d73c95f, "logic_outw" },
	{ 0x2e2c4ddc, "logic_inw" },
	{ 0x2c3c38df, "pci_request_region" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x85bd1608, "__request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x2e9e1dce, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0x6a9bd59, "drm_edid_read_custom" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24e1b5dd, "drm_connector_attach_edid_property" },
	{ 0xae398fea, "drm_edid_connector_update" },
	{ 0x2147b0b1, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xd0b65093, "drm_dev_alloc" },
	{ 0xe7ec8110, "pcim_enable_device" },
	{ 0x3226e83, "drmm_kmalloc" },
	{ 0x5a2e3189, "drmm_vram_helper_init" },
	{ 0x19f0807d, "drmm_mode_config_init" },
	{ 0x423ba08, "drm_simple_display_pipe_init" },
	{ 0xfdd03fc8, "drm_mode_config_reset" },
	{ 0xc7e57ccd, "drm_dev_register" },
	{ 0xc5e6542, "drm_gem_vram_offset" },
	{ 0x9da4baf3, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xf0602e29, "drm_atomic_helper_connector_reset" },
	{ 0xe209e2a0, "drm_helper_probe_single_connector_modes" },
	{ 0x9c2386, "drm_connector_cleanup" },
	{ 0xa3ae6f7f, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x1c5164e2, "drm_atomic_helper_connector_destroy_state" },
	{ 0x9064dec7, "drm_vram_mm_debugfs_init" },
	{ 0x618050c0, "drm_gem_vram_driver_dumb_create" },
	{ 0xdbd08879, "drm_gem_ttm_dumb_map_offset" },
	{ 0x350b1c03, "drm_vram_helper_mode_valid" },
	{ 0xfd6879ca, "drm_atomic_helper_check" },
	{ 0xf5fce34c, "drm_atomic_helper_commit" },
	{ 0xa79c2b5b, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0x4cfae1be, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0x27af4692, "noop_llseek" },
	{ 0xcb4f9fb6, "drm_read" },
	{ 0x3469f42b, "drm_poll" },
	{ 0xe8af0ac5, "drm_ioctl" },
	{ 0x2465f6a4, "drm_gem_mmap" },
	{ 0x331e69a4, "drm_open" },
	{ 0xa185a0ef, "drm_release" },
	{ 0xd36b1aea, "param_ops_int" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "06CC19CA4B2CCD90B2A971A");
MODULE_INFO(rhelversion, "9.7");
