#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tmc_free_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_alloc_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_data_range, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_get_data, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_get_catu_device, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_set_catu_ops, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_remove_catu_ops, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_get_buffer, "_gpl", "");

SYMBOL_CRC(tmc_free_sg_table, 0xe58ad2b3, "_gpl");
SYMBOL_CRC(tmc_alloc_sg_table, 0xdfe31527, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_data_range, 0x5754ee5c, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_table, 0x5f100ee0, "_gpl");
SYMBOL_CRC(tmc_sg_table_get_data, 0xd591e8f1, "_gpl");
SYMBOL_CRC(tmc_etr_get_catu_device, 0x753878db, "_gpl");
SYMBOL_CRC(tmc_etr_set_catu_ops, 0x7c02d665, "_gpl");
SYMBOL_CRC(tmc_etr_remove_catu_ops, 0x04a264a1, "_gpl");
SYMBOL_CRC(tmc_etr_get_buffer, 0xc472d817, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9e1485b, "coresight_get_platform_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfd3e4e10, "is_acpi_device_node" },
	{ 0xb51ae296, "misc_deregister" },
	{ 0x2eb245dd, "of_fwnode_ops" },
	{ 0x27f81911, "idr_find" },
	{ 0x184a839d, "devm_kmalloc" },
	{ 0x768126d5, "coresight_disclaim_device_unlocked" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x2f4703a7, "dma_unmap_page_attrs" },
	{ 0x387742a9, "dma_free_pages" },
	{ 0xfad2bddd, "coresight_init_driver" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xa9d6eae, "coresight_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x2bb047a5, "clk_get" },
	{ 0x79bc1fe8, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xca51d7eb, "__pm_runtime_set_status" },
	{ 0x6c7634d9, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f60df14, "coresight_find_output_type" },
	{ 0x88e8ab3d, "dma_alloc_pages" },
	{ 0x255ef7bc, "coresight_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7754bc16, "pm_runtime_enable" },
	{ 0x6fb7e339, "kmalloc_node_trace" },
	{ 0xabbe926f, "__free_pages" },
	{ 0x5d71b13c, "fwnode_property_read_u32_array" },
	{ 0xb11af4f6, "_dev_info" },
	{ 0x26459fe9, "coresight_claim_device" },
	{ 0x1705d24, "iommu_get_domain_for_dev" },
	{ 0x9a2f1ecc, "idr_remove" },
	{ 0x75cac872, "__dma_sync_single_for_cpu" },
	{ 0xf0b5331, "_dev_err" },
	{ 0xdcc69810, "idr_alloc" },
	{ 0xa1a8a543, "platform_get_resource" },
	{ 0xe6d4eefb, "coresight_simple_show_pair" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x409cee5a, "vmap" },
	{ 0xeca1a8e2, "coresight_timeout" },
	{ 0xdcb764ad, "memset" },
	{ 0x9ace948, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x755f04bd, "misc_register" },
	{ 0x77a61b2a, "__alloc_pages" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0xfd98e4eb, "nonseekable_open" },
	{ 0x56df240b, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x20e6455a, "fwnode_property_present" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xe0c15806, "__dma_sync_single_for_device" },
	{ 0xb4a3b8a, "devm_ioremap_resource" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x59a4aa4e, "coresight_remove_driver" },
	{ 0x5a9b9ad6, "perf_get_aux" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x6c374842, "coresight_simple_show32" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcce00c90, "dma_set_mask" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0xcd27606d, "perf_aux_output_flag" },
	{ 0xcc1f1ca4, "coresight_alloc_device_name" },
	{ 0xe9146bb4, "__pm_runtime_disable" },
	{ 0xecfb329f, "coresight_barrier_pkt" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf2be030d, "fwnode_property_read_u8_array" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x249dd0f3, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xed7bd6a0, "coresight_disclaim_device" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "coresight");

MODULE_ALIAS("amba:d???BB961");
MODULE_ALIAS("amba:d???BB9E8");
MODULE_ALIAS("amba:d???BB9E9");
MODULE_ALIAS("amba:d???BB9EA");
MODULE_ALIAS("acpi*:ARMHC501:*");
MODULE_ALIAS("acpi*:ARMHC97C:*");

MODULE_INFO(srcversion, "997326819944B907A5D5235");
MODULE_INFO(rhelversion, "9.7");
