#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x95368857, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x668568bf, "_gpl");
SYMBOL_CRC(media_device_init, 0x9f12b3ac, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x19ace6f0, "_gpl");
SYMBOL_CRC(__media_device_register, 0x44237518, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x8faba3b3, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xd3989a30, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x690986e3, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x9d40dfbf, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xfb9dcbe4, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xf3d80730, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xff09cfbf, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0xdd767f4f, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x8e6db6d0, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x249aa224, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xe86527f3, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x8e9670b1, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x5cafa279, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xd2ad80d2, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x2496dac2, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x3d0f0071, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xb02c96d6, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x90bd3a8f, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x32a4a9f2, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x6b4db6a4, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x397e493f, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0xa6d01119, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x046e3dae, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x05e79b7d, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xe9dcbc3e, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0xae720ad5, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x8eb145bd, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xf6e91a84, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x80e26514, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x9a3deaf7, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xa553544e, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x5a0dbb4e, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x7b198479, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xb9568e37, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x2322f5b2, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x8e84ae5d, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xa9abadd1, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xf0f5e939, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x3362d53b, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x2cb9dff3, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xbefeb574, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xcc8292da, "_gpl");
SYMBOL_CRC(media_request_put, 0xbf046ef6, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xd88892eb, "_gpl");
SYMBOL_CRC(media_request_object_find, 0xb3cc94cc, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x245b9f33, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x1c2e0d30, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xa25bb0a5, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xc24f6eb5, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xe0498b31, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0xce8385c8, "_gpl");
SYMBOL_CRC(media_device_delete, 0xcc9251b1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0x126e715c, "ida_alloc_range" },
	{ 0xfd5d4c5c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x97d3768d, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x46831a72, "ida_destroy" },
	{ 0xb650c808, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa3202b42, "cdev_device_del" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4195e461, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xbbf4310e, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x695b09b8, "__wake_up" },
	{ 0x82ebd013, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x79bc1fe8, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0xf385e86a, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xb58a9d96, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd58e2dc3, "fwnode_graph_parse_endpoint" },
	{ 0xc1ddf3e, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x45422df5, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5ae74482, "bus_unregister" },
	{ 0xa8a7fb62, "fput" },
	{ 0xf0b5331, "_dev_err" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x82d49ee7, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x9ace948, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x218df1d7, "__init_waitqueue_head" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf872794, "platform_bus_type" },
	{ 0xc7c2ebe3, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0x5ed68dd0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa170f0bb, "pci_bus_type" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0x25a1a805, "device_remove_file" },
	{ 0xd93c3599, "bus_register" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53E3D798C82384C14394313");
MODULE_INFO(rhelversion, "9.7");
