#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xea108a83, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xec106512, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x2792cb17, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xa14911af, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x7ff71950, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xe7bbf0f6, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x020afebe, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xebde01dd, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x40130704, "_gpl");
SYMBOL_CRC(can_change_state, 0xdafeccf0, "_gpl");
SYMBOL_CRC(can_bus_off, 0x77f5c399, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x61192c71, "_gpl");
SYMBOL_CRC(free_candev, 0x8be3784c, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x59e59f3d, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x2f5a970f, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xff5a62bd, "");
SYMBOL_CRC(open_candev, 0xcf2449e1, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0xb2dcf54c, "_gpl");
SYMBOL_CRC(close_candev, 0xe5cf0999, "_gpl");
SYMBOL_CRC(register_candev, 0xe6c679fd, "_gpl");
SYMBOL_CRC(unregister_candev, 0xbba89646, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x26dd801b, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x20153838, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x889815cb, "skb_put" },
	{ 0xedb1619f, "gpiod_set_value" },
	{ 0x93a23a02, "skb_tstamp_tx" },
	{ 0x8bfca431, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf270578, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe4578c45, "unregister_netdev" },
	{ 0x4dea7426, "rtnl_link_register" },
	{ 0xc361d63f, "netdev_warn" },
	{ 0x22849f6f, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb75a515c, "netdev_err" },
	{ 0x4719b669, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7461d60c, "device_property_read_u32_array" },
	{ 0x2ea8f8c7, "of_get_child_by_name" },
	{ 0x1f1b2b38, "rtnl_link_unregister" },
	{ 0xbd39ba03, "sk_skb_reason_drop" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x58f1e7f8, "register_netdev" },
	{ 0xd7bdfc29, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0xc3aadc69, "sock_efree" },
	{ 0x497470f5, "netif_rx" },
	{ 0xd5589ff, "__netdev_alloc_skb" },
	{ 0xf3e2f25f, "skb_trim" },
	{ 0x1bde52d4, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1333e7c6, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x3c781f02, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x21108386, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd8ac729a, "dev_err_probe" },
	{ 0xf433e40, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x9d2d2818, "skb_clone_tx_timestamp" },
	{ 0xeb0728de, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1A01C30400C623AD7A56E46");
MODULE_INFO(rhelversion, "9.7");
