#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x39018927, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xc41ee333, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x7d524a50, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x0e251344, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ffc1632, "ether_setup" },
	{ 0x51efdb16, "__ethtool_get_link_ksettings" },
	{ 0xb6f2427, "ethtool_get_ts_info_by_layer" },
	{ 0xd3d3c51e, "init_net" },
	{ 0xb72ae3a4, "generic_hwtstamp_set_lower" },
	{ 0xa1fc045a, "generic_hwtstamp_get_lower" },
	{ 0x8e50c3a2, "dev_mc_del" },
	{ 0x38957cb0, "dev_uc_del" },
	{ 0x2eba6a1e, "dev_mc_add_excl" },
	{ 0x5470ada5, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd1234db4, "vlan_vid_del" },
	{ 0x56e0e1bf, "vlan_vid_add" },
	{ 0xcd02a617, "dev_set_allmulti" },
	{ 0x18b5954e, "dev_set_promiscuity" },
	{ 0xd6fe003, "dev_uc_unsync" },
	{ 0xfe6054f4, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x4dea7426, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1f1b2b38, "rtnl_link_unregister" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbd81b748, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0xbd1631d4, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xb053c582, "dev_uc_add" },
	{ 0x9c10c591, "dev_set_mac_address" },
	{ 0x3666a255, "call_netdevice_notifiers" },
	{ 0x1f6ce844, "netif_inherit_tso_max" },
	{ 0xc3e6f4ef, "netdev_update_features" },
	{ 0x8b89f29c, "netif_stacked_transfer_operstate" },
	{ 0x7c68ad1b, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x89492ce7, "unregister_netdevice_queue" },
	{ 0xb1023a3d, "netdev_upper_dev_unlink" },
	{ 0xac605577, "dev_uc_sync" },
	{ 0xff27a48, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3c781f02, "skb_clone" },
	{ 0x497470f5, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8e61f800, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf270578, "consume_skb" },
	{ 0x3bc5fcaa, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbd39ba03, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa24bc729, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4c1d8a03, "register_netdevice" },
	{ 0x9fd46faa, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x68ab3cd5, "linkwatch_fire_event" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x26ea0428, "__netif_rx" },
	{ 0x840aaad6, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8ee82247, "netdev_core_stats_inc" },
	{ 0xb700744d, "__dev_queue_xmit" },
	{ 0x37fb7814, "dev_forward_skb" },
	{ 0xad490d8f, "passthru_features_check" },
	{ 0x5e17142f, "eth_validate_addr" },
	{ 0x9b034b80, "ndo_dflt_fdb_dump" },
	{ 0x493c0603, "eth_header_parse" },
	{ 0xff96198b, "eth_header_cache" },
	{ 0x9120dc4, "eth_header_cache_update" },
	{ 0x91626944, "ethtool_op_get_link" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.7");
