#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qmp_send, "", "");
KSYMTAB_FUNC(qmp_get, "", "");
KSYMTAB_FUNC(qmp_put, "", "");

SYMBOL_CRC(qmp_send, 0x9e2aa1df, "");
SYMBOL_CRC(qmp_get, 0x0e2e54d2, "");
SYMBOL_CRC(qmp_put, 0x2333aed6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6a9149, "mbox_send_message" },
	{ 0x19168ab, "mbox_client_txdone" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xb58a9d96, "put_device" },
	{ 0xd2959858, "__platform_driver_register" },
	{ 0x695b09b8, "__wake_up" },
	{ 0xdc9c9363, "platform_driver_unregister" },
	{ 0x661f273e, "__of_parse_phandle_with_args" },
	{ 0x7fcf81e0, "of_find_device_by_node" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf864fea8, "of_clk_del_provider" },
	{ 0xf5557621, "clk_hw_unregister" },
	{ 0x295acbb5, "thermal_cooling_device_unregister" },
	{ 0x7bcac940, "mbox_free_channel" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x2d569990, "__iowrite32_copy_full" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb66a3667, "prepare_to_wait_event" },
	{ 0x20162017, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0b5331, "_dev_err" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x184a839d, "devm_kmalloc" },
	{ 0x218df1d7, "__init_waitqueue_head" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0x9b63819, "devm_platform_ioremap_resource" },
	{ 0x552facdf, "mbox_request_channel" },
	{ 0x3d409612, "platform_get_irq" },
	{ 0x311cf3da, "devm_request_threaded_irq" },
	{ 0x74c7f4d0, "clk_hw_register" },
	{ 0x300e369e, "of_clk_hw_simple_get" },
	{ 0xd5bdb598, "of_clk_add_hw_provider" },
	{ 0x9ca2f125, "of_get_next_available_child" },
	{ 0x6d13ed42, "of_find_property" },
	{ 0x9611ada6, "devm_thermal_of_cooling_device_register" },
	{ 0x8b5cbcce, "devm_kfree" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,sc7180-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sc7180-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,aoss-qmpC*");

MODULE_INFO(srcversion, "3357B0EE3B54D46A87E7CCB");
MODULE_INFO(rhelversion, "9.7");
