#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0xc05b2f0a, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x7146092c, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0xb41708b7, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x5c01b9e6, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0xf107c6e3, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0xdb7acbbd, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x92827332, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0xb1e39042, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xf070031d, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x5ca7e9b2, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x59e5d507, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x22b40bde, "");
SYMBOL_CRC(vfio_unpin_pages, 0xf4c40a99, "");
SYMBOL_CRC(vfio_dma_rw, 0xe20817a4, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x757b6684, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x2920e5d9, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x5d77cbbb, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0xb65bbedf, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0xe2ea039a, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xebe829e7, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x2b288f53, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x3d4b057a, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0x9ee6b1d5, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x2bfb4d69, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x6c6a5ac5, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0xdc007131, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x656c4231, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0xda3d7935, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0x37b8ed35, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0x1642d6d5, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0xe69bb43f, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x95de5ffc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xb21066a7, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x4c0f3572, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x126e715c, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xfd5d4c5c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x97d3768d, "anon_inode_getfile" },
	{ 0xf0d4a0f9, "__init_rwsem" },
	{ 0x807bf9d7, "alloc_anon_inode" },
	{ 0xb51ae296, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xdc1dc42c, "iommufd_access_detach" },
	{ 0x46831a72, "ida_destroy" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb650c808, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xa3202b42, "cdev_device_del" },
	{ 0xbe2f12b7, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x53a43d51, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x65d7e8c6, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x4195e461, "device_initialize" },
	{ 0xb27c10fd, "iommufd_device_attach" },
	{ 0xbbf4310e, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xee94be41, "iommufd_access_pin_pages" },
	{ 0xdc4b7047, "iput" },
	{ 0xc8b6c9ed, "add_wait_queue" },
	{ 0x89816037, "iommufd_ctx_from_fd" },
	{ 0xce4530e2, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x79bc1fe8, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x8eac3ab7, "iommufd_vfio_compat_set_no_iommu" },
	{ 0x352cce4c, "iommufd_vfio_compat_ioas_create" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0xf385e86a, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xb58a9d96, "put_device" },
	{ 0x158cc467, "iommufd_ctx_from_file" },
	{ 0xb11af4f6, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc1ddf3e, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0xa8a7fb62, "fput" },
	{ 0x647814b9, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x4ae6cccc, "up_write" },
	{ 0x1d04cb15, "device_add" },
	{ 0x49e00280, "xa_load" },
	{ 0x4674556c, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x3cfc0589, "class_create" },
	{ 0xb74fa2dd, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x82d49ee7, "ida_free" },
	{ 0x52780220, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6b33c02e, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x9ace948, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x8806791b, "iommufd_access_destroy" },
	{ 0x755f04bd, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5641979c, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0xc5d7c08e, "__xa_cmpxchg" },
	{ 0x51b2650c, "iommufd_device_to_id" },
	{ 0xf27e6072, "init_pseudo" },
	{ 0x9e4ff38, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe06a5fa9, "__pm_runtime_resume" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0x2ab3b5d5, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xc3ef4594, "xa_destroy" },
	{ 0xb00dbe4d, "iommufd_ctx_put" },
	{ 0x7b5ad972, "iommufd_access_create" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x148968a6, "iommufd_device_detach" },
	{ 0x7418f368, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x21fb7ce6, "simple_release_fs" },
	{ 0xa1572cfe, "kill_anon_super" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x61f624da, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x137be957, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xf77d74e6, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x7c9463e1, "up_read" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x249dd0f3, "__pm_runtime_idle" },
	{ 0x5ed68dd0, "cdev_init" },
	{ 0x54d11ecd, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd96f83fd, "eventfd_ctx_fileget" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0x6bd87145, "iommu_group_remove_device" },
	{ 0x849f1b67, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "80C08A9AB5DF09EA0863245");
MODULE_INFO(rhelversion, "9.7");
