#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0xfc04049b, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x80f6cfd8, "");
SYMBOL_CRC(fscache_acquire_cache, 0x72c996ac, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x08e41171, "");
SYMBOL_CRC(fscache_add_cache, 0x531f8b3f, "");
SYMBOL_CRC(fscache_io_error, 0x160d293d, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xcf0057c2, "");
SYMBOL_CRC(fscache_end_cookie_access, 0xb64123be, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xeefb62a0, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x3e98446e, "");
SYMBOL_CRC(fscache_caching_failed, 0x52a22ca4, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xc27dab7c, "");
SYMBOL_CRC(__fscache_use_cookie, 0x16402873, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x9e31ffdb, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x23f284a7, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x2e6aeee2, "");
SYMBOL_CRC(fscache_put_cookie, 0x85461a4d, "");
SYMBOL_CRC(fscache_get_cookie, 0x3dab9c1a, "");
SYMBOL_CRC(__fscache_invalidate, 0xeb4ad2a1, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x02370598, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x37b7f09a, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x73514fd1, "");
SYMBOL_CRC(fscache_dirty_folio, 0x2995292f, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x67c39c94, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x6ac62f53, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x92d98d64, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x39674879, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x6c5e41e7, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x1a25cfa0, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x4bdf59cf, "");
SYMBOL_CRC(fscache_end_volume_access, 0x53fde023, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xa71d1abb, "");
SYMBOL_CRC(fscache_put_volume, 0xfe3d289e, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x0163ae8d, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xfb1e21ff, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x771a995, "bpf_trace_run4" },
	{ 0x5ec153f5, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe58de938, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x20162017, "finish_wait" },
	{ 0x8c2824d3, "trace_event_printf" },
	{ 0x90fc50ae, "xas_find" },
	{ 0x436a87bd, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd3f3966, "netfs_stats_show" },
	{ 0x9f6b162, "bpf_trace_run2" },
	{ 0xb66a3667, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x91960bda, "remove_proc_subtree" },
	{ 0xcd206480, "event_triggers_call" },
	{ 0x609280ce, "kmem_cache_create" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe1e5d415, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xef2c82a8, "trace_event_ignore_this_pid" },
	{ 0x606f2571, "rt_write_unlock" },
	{ 0x676172a9, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x25ae264f, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd673b8b3, "perf_trace_run_bpf_submit" },
	{ 0x647814b9, "down_write" },
	{ 0x4ae6cccc, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x63986522, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x83c00fcc, "kmem_cache_free" },
	{ 0xf43e321d, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x707dd965, "bpf_trace_run1" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x612295da, "proc_mkdir" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xd1d63f28, "folio_end_private_2" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5641979c, "down_read" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc0dd36d8, "bpf_trace_run3" },
	{ 0xfadb823a, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf7c8fa42, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xafe7c043, "rt_read_unlock" },
	{ 0xf2b7f20a, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a6e6ad3, "seq_printf" },
	{ 0x521c5716, "rt_write_lock" },
	{ 0x5a2c713d, "filemap_dirty_folio" },
	{ 0x50aa9878, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x197f04f3, "iov_iter_xarray" },
	{ 0x1719b208, "proc_create_single_data" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x509c27a6, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7c9463e1, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xc076cb05, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "F1A7D48A931551A9DD3AC79");
MODULE_INFO(rhelversion, "9.7");
