#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x27856687, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x3a29490b, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xfac3be87, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xfe5d32f6, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x581e2a8c, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xb8ad0294, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x7a90c66f, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xe8491985, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xf3af1903, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xa1d33245, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x00a5aaa0, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x0efa9e9b, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x267d62dd, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x605240cc, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x0638f544, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x2a184506, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x0a5a1eff, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x128d9a77, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x3ef5e12d, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xc039e13a, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x3ad63c9e, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x982ae6d2, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x05f75e2e, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x6807cfa2, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xef850d85, "_gpl");
SYMBOL_CRC(print_tuple, 0x673489d8, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x9d94d25a, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x8dbe8ff5, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xd1629d1a, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xfa1e9c0c, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x05e18e0f, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x7fd3e1f4, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xdaf7a083, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xb8896fec, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xaa3b8fa2, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x24a65688, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xea7640f2, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x3bd5f6c1, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x6fcf040d, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xba4d29f0, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xa99729cd, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x5e156c6f, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xb7fb548f, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x4a0a091a, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x2481d5d0, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xd24aad31, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xa6ab2bdf, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x72f89526, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x5343ef9a, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x5ee75e39, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xe2a25b2f, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x43e243fc, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xfd632da1, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x7e847f32, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x329b124d, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0xa1bc3896, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xdbccee86, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x6542e8a6, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x3329cf1d, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x8a39430e, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x61dcfb0d, "_gpl");
SYMBOL_CRC(nf_confirm, 0x2a9b76af, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x6824770c, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x98a7dc41, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xe2c03a64, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xa8a8969d, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x91efd7d4, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x4df34c83, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x11f53310, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xf6492d71, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x3a94e827, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x1503e1f5, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x36d75de8, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xad565cce, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x8266ab37, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x211d706b, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xeaad7a66, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x462c57f8, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x66d08d93, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xdc54ac9d, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x4963d705, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x2eb874f1, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xdea7b442, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x6d0e95f3, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x3283f4ff, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x8bf00140, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x59ebaad7, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x146ce312, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6cf7d371, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xfd5d4c5c, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4002c72a, "nf_defrag_ipv4_disable" },
	{ 0xedd2dbea, "nf_ip6_checksum" },
	{ 0x5e97e00a, "proc_dou8vec_minmax" },
	{ 0xbc15ae1a, "skb_copy_bits" },
	{ 0x5ec153f5, "param_ops_uint" },
	{ 0xf44ea27f, "proc_dointvec_jiffies" },
	{ 0xe616371c, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e9c4171, "nf_register_sockopt" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x77610065, "nfct_btf_struct_access" },
	{ 0x1d8ff8a9, "param_set_uint" },
	{ 0xa4d7e743, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9728fdf4, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x609280ce, "kmem_cache_create" },
	{ 0xb658684a, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x127391df, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xab1148a7, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6fdc3e8a, "nf_unregister_sockopt" },
	{ 0x8f84ea43, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1666f659, "make_kuid" },
	{ 0x3b6a496b, "nf_defrag_ipv6_disable" },
	{ 0x11812a1f, "ipv6_skip_exthdr" },
	{ 0x5346d348, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x676172a9, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xc1ddf3e, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7c9fae45, "nf_checksum" },
	{ 0x6789aadc, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd3d3c51e, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x83c00fcc, "kmem_cache_free" },
	{ 0x2a188478, "seq_putc" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xd84fcc86, "nf_checksum_partial" },
	{ 0xdcbf907e, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xa486de60, "nf_unregister_net_hooks" },
	{ 0x117410d3, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x90cf190b, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x57681952, "nf_log_packet" },
	{ 0x830bc2ed, "make_kgid" },
	{ 0x94e27300, "nf_ip_checksum" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x5f5baa8b, "register_btf_kfunc_id_set" },
	{ 0xd7287e88, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5641979c, "down_read" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0xd3133593, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7fb0149a, "__skb_checksum" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x13766089, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2ab3b5d5, "param_ops_bool" },
	{ 0x7b32d1a6, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf2b7f20a, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a6e6ad3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8f3a10ed, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x6abdf3be, "proc_dointvec" },
	{ 0x50aa9878, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x51cfc72f, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xd741e139, "unregister_net_sysctl_table" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xd3a13930, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7c9463e1, "up_read" },
	{ 0xde34dd17, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc076cb05, "kmem_cache_destroy" },
	{ 0xaed7091d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "592075472331D0393834752");
MODULE_INFO(rhelversion, "9.7");
